#include<bits/stdc++.h>
using namespace std;
vector <int> a;
vector <int> s;
vector <int> niz;
long long int Sumavectora(vector<int> arr, int n )
{
    long long int result = 0;
    for (int i=0; i<n; i++)
        result+=(arr[i]*(i+1)*(n-i));
    return result ;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,k,i,j;
    cin>>n>>k;
    for(i=0; i<n; i++)
    {
        long long int d;
        cin>>d;
        niz.push_back(d);
    }
    if (k==0)
    {
        long long int suma1=0;
        for(i=0; i<n; i++)
        {
            suma1+=niz[i];
        }
        cout<<suma1<<endl;
    }
    else if (k==1)
    {
        cout<<Sumavectora(niz,n)<<endl;
    }
    else
    {
        long long int suma=0;
        for(i=0; i<n; i++)
        {
            a.clear();
            for(j=i; j<n; j++)
            {
                a.push_back(niz[j]);
                suma+=Sumavectora(a,a.size());
            }
        }
        int suma1=0;
        for(i=0; i<n; i++)
        {
            suma1+=niz[i];
        }
        s.push_back(suma1);
        s.push_back(Sumavectora(niz,n));
        s.push_back(suma);
        long long int raz=(s[2]-s[1])-(s[1]-s[0]);
        for(i=3; i<=k; i++)
        {
            int d;
            d=s[i-1]-s[i-2]+raz;
            s.push_back(s[i-1]+d);
        }
        cout<<s[k]<<endl;
        return 0;
    }
}